Index: /trunk/samhain-install.sh.in
===================================================================
--- /trunk/samhain-install.sh.in	(revision 584)
+++ /trunk/samhain-install.sh.in	(revision 1)
@@ -26,6 +26,4 @@
 
 myhtmlfile=@myhtmlfile@
-
-datarootdir=@datarootdir@
 
 INSTALL_SHELL="$0 --install-sh -m 700"
@@ -65,5 +63,5 @@
     echo 'action = install-boot|install-data|install-user'
     echo '         uninstall|purge|uninstall-boot'
-    echo '         uninstall-data|uninstall-man|uninstall-program'
+    echo '         uninstall-data|uninstall-man|uninstall-program|uninstall-lkm'
     echo 'samhain-install.sh --print-config <item>'
     echo 'item = name | basekey | prefix | exec_prefix | sbin_dir | man_dir'
@@ -514,4 +512,8 @@
 	    break;;
 
+	uninstall-lkm)
+	    act=ulkm
+	    break;;
+
 	uninstall | remove | purge)
 	    opts=
@@ -521,4 +523,6 @@
 	    test x"$DESTDIR" = "x" || opts="$opts --destdir=$DESTDIR"
 	    test x"$1" = "xpurge" && purge=yes
+	    echo "$0 $opts uninstall-lkm"
+	    eval $0 $opts uninstall-lkm
 	    echo "$0 $opts uninstall-program"
 	    eval $0 $opts uninstall-program
@@ -668,5 +672,5 @@
        realname="$user"
        case "$platform" in
-           FreeBSD/* | NetBSD/* | OpenBSD/* )
+           FreeBSD/* | NetBSD/* )
               file=/etc/master.passwd
               entry="${user}:*:${uid}:${gid}::0:0:${realname}:${home}:${shell}"
@@ -674,5 +678,5 @@
               break
 	      ;;
-           Linux/* | GNU/kFreeBSD/* | GNU/* )
+           Linux/* )
                file=/etc/passwd
                entry="${user}:*:${uid}:${gid}:${realname}:${home}:${shell}"
@@ -753,14 +757,4 @@
 
     case "$platform" in
-    Darwin/*)
-	DVER="MACOSX"
-	test -z "$verbose" || echo "MacOS X system detected"
-	rc_main="/Library/StartupItems/${samhain}"
-	${mkinstalldirs} ${rc_main}
-	rc_dirz=
-	rc_inst="(cd /Library/StartupItems/${samhain} && echo '{' >StartupParameters.plist && echo '  Description        = \"@install_name@\";'  >>StartupParameters.plist && echo '  Provides           = (\"@install_name@\");' >>StartupParameters.plist && echo '  Requires           = (\"Network\");'      >>StartupParameters.plist && echo '  OrderPreference     = \"Last\";' >>StartupParameters.plist && echo '}' >>StartupParameters.plist && chmod 644 StartupParameters.plist; )"
-	rc_uinst="rm -rf /Library/StartupItems/@install_name@"
-	;;
-
     IRIX*/*)
         DVER="IRIX"
@@ -778,5 +772,5 @@
 	rc_main=@sbindir@
 	rc_dirz=
-	rc_inst="/usr/sbin/mkitab '@install_name@:2:wait:@sbindir@/@install_name@ start >/dev/console 2>&1'"
+	rc_inst="/usr/sbin/mkitab -i '@install_name@:2:wait:@sbindir@/@install_name@ start >/dev/console 2>&1'"
 	rc_uinst="/usr/sbin/rmitab @install_name@"
 	;;
@@ -791,56 +785,11 @@
 	;;
 
-    OpenBSD/*)
-	test -z "$verbose" || echo "  OpenBSD system detected"
-	grep '^## begin @install_name@' /etc/rc.local >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-	    RCLOCALTMP=`mktemp /etc/rc.local.XXXXXXXXXX` || exit 1
-	    sed "/^## begin @install_name@/,/^## end @install_name@/d" /etc/rc.local >$RCLOCALTMP || exit 1
-	    cat $RCLOCALTMP >/etc/rc.local || exit 1
-	    rm -f $RCLOCALTMP || exit 1
-	    if test x"$act" = xuboot; then
-		echo "  uninstalling from /etc/rc.local completed"
-	    fi
-	fi
-	if test x"$act" = xboot; then
-	    echo "## begin @install_name@"          >>/etc/rc.local || exit 1
-	    echo "if [ -x @sbindir@/@install_name@ ]; then" >>/etc/rc.local || exit 1
-	    echo "  @sbindir@/@install_name@ start" >>/etc/rc.local || exit 1
-	    echo "fi"                               >>/etc/rc.local || exit 1
-	    echo "## end @install_name@"            >>/etc/rc.local || exit 1
-	    echo "  installing to /etc/rc.local completed"
-	fi
-	exit 0
-	;;
-
-    NetBSD/*)
-	test -z "$verbose" || echo "  NetBSD system detected"
-	if test -f /etc/rc.subr; then
-	    DVER="FreeBSD"
-	    rc_main=${DESTDIR}/etc/rc.d
-	    rc_dirz=
-	    rc_inst="chmod 755 /etc/rc.d/@install_name@"
-	    rc_uinst="rm -f /etc/rc.d/@install_name@"
-	else
-	    echo "${0}: unsupported platform ${platform} (too old)"
-	    exit 1
-	fi
-	;;
-
     FreeBSD/* )
+	DVER="FreeBSD"
 	test -z "$verbose" || echo "  FreeBSD system detected"
-	if test -f /etc/rc.subr; then
-	    DVER="FreeBSD"
-	    rc_main=${DESTDIR}/etc/rc.d
-	    rc_dirz=
-	    rc_inst="chmod 755 /etc/rc.d/@install_name@"
-	    rc_uinst="rm -f /etc/rc.d/@install_name@"
-	else
-	    DVER="Solaris"
-	    rc_main=${DESTDIR}/usr/local/etc/rc.d
-	    rc_dirz=
-	    rc_inst="mv /usr/local/etc/rc.d/@install_name@ /usr/local/etc/rc.d/@install_name@.sh && chmod 755 /usr/local/etc/rc.d/@install_name@.sh"
-	    rc_uinst="rm -f /usr/local/etc/rc.d/@install_name@.sh"
-	fi
+	rc_main=${DESTDIR}/usr/local/etc/rc.d
+	rc_dirz=
+	rc_inst="mv /usr/local/etc/rc.d/@install_name@ /usr/local/etc/rc.d/@install_name@.sh &&  chmod 755 /usr/local/etc/rc.d/@install_name@.sh"
+	rc_uinst="rm -f /usr/local/etc/rc.d/@install_name@.sh; echo You may want to remove ${rc_main} from local_startup in /etc/rc.conf; echo if it is empty"
 	if test x"$act" = xboot
 	then
@@ -848,5 +797,4 @@
 		test x"$act" = xboot && mkdir ${rc_main}
 	    fi
-	    if test "x$DVER" = "xSolaris"; then
 	    (   . /etc/defaults/rc.conf
                 . /etc/rc.conf
@@ -866,11 +814,8 @@
                 fi
             )
-	    fi
-	fi
+       fi
 	;;
-
     SunOS/5.* )
 	DVER="Solaris"
-	DVER_REAL="Solaris"
 	test -z "$verbose" || echo "  Solaris system detected"
 	rc_dirz=
@@ -879,6 +824,5 @@
 	rc_uinst="rm -f ${DESTDIR}/etc/init.d/@install_name@; rm -f ${DESTDIR}/etc/rc0.d/K10@install_name@; rm -f ${DESTDIR}/etc/rc1.d/K10@install_name@; rm -f ${DESTDIR}/etc/rc3.d/S99@install_name@"
 	;;
-
-    Linux/* | GNU/kFreeBSD* | GNU/* )
+    Linux/*)
 	rlv="2 3 4 5"
 	linkopt="-f -s"
@@ -893,5 +837,5 @@
 		rc_dirz=
 		rc_inst="/usr/lib/lsb/install_initd /etc/init.d/@install_name@"
-		rc_uinst="test -f /etc/init.d/@install_name@ && /usr/lib/lsb/remove_initd /etc/init.d/@install_name@"
+		rc_uinst="/usr/lib/lsb/remove_initd /etc/init.d/@install_name@"
 	    else
 		rc_inst=
@@ -1032,13 +976,4 @@
     fi
 
-    rc_systemd=
-    if command -v pkg-config >/dev/null 2>&1
-    then
-	if pkg-config --exists systemd >/dev/null 2>&1
-	then
-	   rc_systemd=`pkg-config --variable=systemdsystemunitdir systemd`
-	fi
-    fi
-	   
     if test x"${act}" = xboot 
     then
@@ -1070,5 +1005,5 @@
 		    ${mkinstalldirs} ${rc_main}
 		    #
-		    if test x"${DVER_REAL}" = xSolaris; then
+		    if test x"$DVER" = xSolaris; then
 			${mkinstalldirs} ${DESTDIR}/etc/rc0.d
 			${mkinstalldirs} ${DESTDIR}/etc/rc1.d
@@ -1115,31 +1050,4 @@
 	   fi
  	fi
-
-	if test x"${rc_systemd}" != x
-	then
-	    if test x"$DESTDIR" = x
-	    then
-		:
-	    else
-		${mkinstalldirs} ${DESTDIR}/${rc_systemd}
-	    fi
-            if test -f init/samhain.startSystemd
-	    then
-		servicescript=init/samhain.startSystemd
-	    elif test -f samhain.startSystemd
-	    then
-		servicescript=samhain.startSystemd
-	    else
-		echo "${0}: cannot find samhain.startSystemd in ./ or ./init"
-            fi
-	    if test -f ${DESTDIR}/${rc_systemd}/${samhain}.service && test x"$force" != xyes
-	    then
-		echo "  ${DESTDIR}/${rc_systemd}/${samhain}.service exists ... not overwritten (or use --force)"
-	    else
-		test -z "$verbose" || echo "  installing ${servicescript} as ${DESTDIR}/${rc_systemd}/${samhain}.service"
-		${INSTALL_DATA} ${servicescript} "${DESTDIR}/${rc_systemd}/${samhain}.service"
-	    fi
-	fi
-
 	echo "installing init scripts completed"
     fi
@@ -1159,18 +1067,12 @@
 	    do
 	      test -z "$verbose" || echo "  rm -f  ${rc_dirz}${ff}.d/S99${samhain}"
-	      rm -f  "${rc_dirz}${ff}.d/S99${samhain}"
+	      rm -f  ${rc_dirz}${ff}.d/S99${samhain}
 	      test -z "$verbose" || echo "  rm -f  ${rc_dirz}${ff}.d/S99${samhain}"
-	      rm -f  "${rc_dirz}${ff}.d/K10${samhain}"
+	      rm -f  ${rc_dirz}${ff}.d/K10${samhain}
 	    done
         fi
 
 	test -z "$verbose" || echo "  rm -f ${rc_main}/${samhain}"
-	rm -f "${rc_main}/${samhain}"
-
-	if test x"${rc_systemd}" != x
-	then
-	    test -z "$verbose" || echo "  rm -f  ${rc_systemd}/${samhain}.service"
-	    rm -f "${rc_systemd}/${samhain}.service"
-	fi
+	rm -f ${rc_main}/${samhain}
 
 	echo "  uninstalling init scripts completed"
@@ -1181,10 +1083,31 @@
 fi
 
+if test x"${act}" = xulkm
+then
+    RVER=`uname -r`
+    if test "x@sh_lkm@" != "x"; then
+        if test -d /lib/modules/$RVER; then 
+	    MODDIR="/lib/modules/$RVER"
+	elif test -d /lib/modules/misc; then 
+	    MODDIR="/lib/modules/misc"
+	elif test -d /lib/modules; then 
+	    MODDIR="/lib/modules/misc"
+	fi
+        # -- NEW --
+	ALLMODS="@sh_lkm@"
+        for p in $ALLMODS; do
+            test -z "$verbose" || echo "  rm -f ${DESTDIR}${MODDIR}/`echo $p|sed '
+s%samhain%@install_name@%'`"
+            rm -f ${DESTDIR}${MODDIR}/`echo $p|sed 's%samhain%@install_name@%'`
+        done
+    fi
+fi
+
 if test x"${act}" = xuprogram
 then
-    PROGRAMS="@setpwd_prg@ @stegin_prg@ @yulectl_prg@ @sh_main_prg@ @samhainadmin_prg@"
+    PROGRAMS="@setpwd_prg@ @stegin_prg@ @yulectl_prg@ @sh_main_prg@"
     for p in $PROGRAMS; do
-	test -z "$verbose" || echo "  rm -f ${DESTDIR}${sbindir}/`echo $p|sed 's%samhain%@install_name@%'|sed 's%yule%@install_name@%'|sed 's%.*/%%'`"
-	rm -f ${DESTDIR}${sbindir}/`echo $p|sed 's%samhain%@install_name@%'|sed 's%yule%@install_name@%'|sed 's%.*/%%'`
+	test -z "$verbose" || echo "  rm -f ${DESTDIR}${sbindir}/`echo $p|sed 's%samhain%@install_name@%'|sed 's%yule%@install_name@%'`"
+	rm -f ${DESTDIR}${sbindir}/`echo $p|sed 's%samhain%@install_name@%'|sed 's%yule%@install_name@%'`
     done
     test -z "$verbose" || echo $ECHO_N "  ${SH_RMDIR} ${DESTDIR}${sbindir} ... $ECHO_C"
@@ -1277,17 +1200,4 @@
 	else
 	    test -z "$verbose" || echo "${ECHO_T}failed (not empty ?)"
-	fi
-
-	
-	if test -d /etc/logrotate.d; then
-	    if test -f /etc/logrotate.d/@install_name@; then
-		test -z "$verbose" || echo $ECHO_N "  rm -f /etc/logrotate.d/@install_name@ ... $ECHO_C"
-		rm -f /etc/logrotate.d/@install_name@;
-		if test x$? = x0; then
-		     test -z "$verbose" || echo "${ECHO_T}done"
-		else
-		    test -z "$verbose" || echo "${ECHO_T}failed"
-		fi
-	    fi
 	fi
 
@@ -1340,7 +1250,4 @@
 
     GPGPATH=@mygpg@
-    SIGNIFY_PATH=@mysignify@
-    TARGETKEYID=@mykeyid@
-    KEYTAG=@mykeytag@
 
     NTEST=@mytclient@
@@ -1387,5 +1294,5 @@
 	echo "You need to sign the config file now"
 	echo
-	test -z "$verbose" || echo "  ${GPGPATH} -a ${KEYTAG} ${TARGETKEYID} --clearsign $RCFILE"
+	test -z "$verbose" || echo "  ${GPGPATH} -a --clearsign $RCFILE"
 	if test x"${NTEST}" = "x-DSH_WITH_SERVER"
 	then
@@ -1396,10 +1303,10 @@
 		DOT_GNUPG=`eval echo ~${samhain}/.gnupg`
 	        test -z "$verbose" || echo "  using --homedir ${DOT_GNUPG}"
-		${GPGPATH} --homedir ${DOT_GNUPG} -a ${KEYTAG} ${TARGETKEYID} --clearsign $RCFILE
+		${GPGPATH} --homedir ${DOT_GNUPG} -a --clearsign $RCFILE
 	    else
-		${GPGPATH} -a ${KEYTAG} ${TARGETKEYID} --clearsign $RCFILE
-	    fi
-	else
-	    ${GPGPATH} -a ${KEYTAG} ${TARGETKEYID} --clearsign $RCFILE
+		${GPGPATH} -a --clearsign $RCFILE
+	    fi
+	else
+	    ${GPGPATH} -a --clearsign $RCFILE
 	fi
 
@@ -1418,40 +1325,4 @@
 	    cp ${RCFILE} samhainrc.pre
         fi
-    elif test x"${SIGNIFY_PATH}" != x
-    then
-	echo
-	echo "You need to sign the config file now"
-	echo
-	test -z "$verbose" || echo "  ${SIGNIFY_PATH} -Se -s ~/.signify/samhain.sec -m $RCFILE"
-	if test x"${NTEST}" = "x-DSH_WITH_SERVER"
-	then
-	    myident_uid=`(cat /etc/passwd; ypcat passwd) 2>/dev/null |\
-		  grep "^${samhain}:" | awk -F: '{ print $3; }'`
-	    if test x"${myident_uid}" != x
-	    then
-		DOT_SIGNIFY=`eval echo ~${samhain}/.signify`
-	        test -z "$verbose" || echo "  using home directory ${DOT_SIGNIFY}"
-		${SIGNIFY_PATH} -Se -s ${DOT_GNUPG}/samhain.sec $RCFILE
-	    else
-		${SIGNIFY_PATH} -Se -s  ~/.signify/samhain.sec -m $RCFILE
-	    fi
-	else
-	    ${SIGNIFY_PATH} -Se -s  ~/.signify/samhain.sec -m $RCFILE
-	fi
-
-	if test -f ${RCFILE}.sig
-	then
-	    test -z "$verbose" || echo "  mv -f ${RCFILE}.sig samhainrc.pre"
-	    mv -f ${RCFILE}.sig samhainrc.pre
-	else
-	    echo "**********************************************************"
-	    echo
-	    echo "${0}: ERROR: cannot find signed file ${RCFILE}.sig"
-	    echo
-	    echo "   --- You need to sign the configuration file ---"
-	    echo
-	    echo "**********************************************************"
-	    cp ${RCFILE} samhainrc.pre
-        fi
     else
 	test -z "$verbose" || echo "  cp $RCFILE samhainrc.pre"
@@ -1480,25 +1351,20 @@
 	IFS=${OIFS}
 
-	if test -f stealth_template.ps
-	then
-	    PATH=${OPATH}
-	else
-	    if test x"${CONVERT}" = x
-	    then
-		echo "${0}: cannot find ImageMagick convert utility in PATH=${PATH}"
-		exit 1
-            fi
-
-	    PATH=${OPATH}
-
- 	    if test -f stealth_template.jpg
-	    then
-		test -z "$verbose" || echo "  ${CONVERT} +compress stealth_template.jpg stealth_template.ps"
-		"${CONVERT}" +compress stealth_template.jpg stealth_template.ps
-	    else
-		echo "${0}: cannot find file stealth_template.jpg"
-		exit 1
-            fi
-	fi
+	if test x"${CONVERT}" = x
+	then
+	    echo "${0}: cannot find ImageMagick convert utility in PATH=${PATH}"
+	    exit 1
+        fi
+
+	PATH=${OPATH}
+
+ 	if test -f stealth_template.jpg
+	then
+	    test -z "$verbose" || echo "  ${CONVERT} +compress stealth_template.jpg stealth_template.ps"
+	    "${CONVERT}" +compress stealth_template.jpg stealth_template.ps
+	else
+	    echo "${0}: cannot find file stealth_template.jpg"
+	    exit 1
+        fi
 
 
Index: /trunk/samhain.spec.in
===================================================================
--- /trunk/samhain.spec.in	(revision 584)
+++ /trunk/samhain.spec.in	(revision 1)
@@ -14,16 +14,6 @@
 Packager: Andre Oliveira da Costa <brblueser@uol.com.br>
 Provides: %{name}
-%if 0%{?suse_version}
-Requires(pre): shadow
-%else
-Requires(pre): shadow-utils
-%endif
-
-# dummy (fix configure warning)
-# datarootdir = @datarootdir@
 
 # no quotes here - aparently will be expanded literally
-
-%define password %(echo $PASSWORD)
 
 %define withpwd_prg x@clmytclient@
@@ -72,14 +62,7 @@
 ./configure @mydefargs@ 
 make
-%if "%{withpwd_prg}" == "xDSH_WITH_CLIENT"
-%if "%{password}" != ""
-        ./samhain_setpwd samhain new %{password}
-	mv samhain samhain.old
-	mv samhain.new samhain
-%endif
-%endif
-
 
 %install
+
 rm -rf ${RPM_BUILD_ROOT}
 # sstrip shouldn't be used since binaries will be stripped later
@@ -92,5 +75,5 @@
 # after the package is installed
 #
-install -m 700 samhain-install.sh init/samhain.startLinux init/samhain.startLSB init/samhain.startSystemd ${RPM_BUILD_ROOT}@mydataroot@
+install -m 700 samhain-install.sh init/samhain.startLinux init/samhain.startLSB ${RPM_BUILD_ROOT}@mydataroot@
 #
 # file list (helpful advice from Lars Kellogg-Stedman)
@@ -103,23 +86,18 @@
 rm -rf ${RPM_BUILD_ROOT}
 
-%pre
-if test "x@install_name@" = "xyule"
-then
-    getent group samhain >/dev/null || groupadd -r samhain
-    getent passwd yule >/dev/null || \
-	useradd -r -g samhain -d  @mydataroot@ -s /sbin/nologin \
-	-c "samhain server daemon" yule
-
-fi
-exit 0
-
 %post
+if test "x@sh_lkm@" = x; then
+   :
+else
+   if test -f /sbin/depmod; then
+     /sbin/depmod -a
+   fi
+fi
 if [ "$1" -ge 1 ]; then
         # Activate boot-time start up
         cd @mydataroot@
-        /bin/sh ./samhain-install.sh --verbose install-boot
+        ./samhain-install.sh --verbose install-boot
 	rm -f ./samhain.startLSB
 	rm -f ./samhain.startLinux
-	rm -f ./samhain.startSystemd
 	if [ -f @sbindir@/@install_name@_stealth ]; then
 		rm -f samhain-install.sh
@@ -174,5 +152,5 @@
         cd @mydataroot@
         if [ -f ./samhain-install.sh ]; then
-	    /bin/sh ./samhain-install.sh --verbose uninstall-boot
+	    ./samhain-install.sh --verbose uninstall-boot
 	else
 	    if test -f /usr/lib/lsb/remove_initd; then
@@ -183,16 +161,23 @@
 fi
 
+%postun
+if [ "$1" = 0 ]; then
+        # remove any kernel modules that might have been installed
+        RVER=`uname -r`
+	MODFILES=`ls /lib/modules/$RVER/@install_name@* 2>/dev/null`
+	if test "x$MODFILES" = x; then
+		:
+	else
+        	rm -f /lib/modules/$RVER/@install_name@*
+	fi
+fi
 
 
 %files -f sh_file_list
 %defattr(-,root,root)
-%if "@mylockdir@" != "/run" || "@mylockdir@" != "/var/run"
-	%dir @mylockdir@
-%endif
-%if "@mylogdir@" != "/var/log"
-	%dir @mylogdir@
-%endif
-%doc docs/BUGS COPYING docs/Changelog 
-%doc LICENSE docs/FAQ.html docs/HOWTO* docs/MANUAL-2_4.* docs/README*
+%dir @mylockdir@
+%dir @mylogdir@
+%doc docs/BUGS COPYING docs/Changelog docs/TODO
+%doc LICENSE docs/FAQ.html docs/HOWTO* docs/MANUAL-2_0.* docs/README*
 @mydataroot@
 %if "%{withstg_prg}" == "xsamhain_stealth"
@@ -204,36 +189,11 @@
 %if "%{withpwd_prg}" == "xDSH_WITH_SERVER"
         @sbindir@/@install_name@ctl
-	@sbindir@/@install_name@admin-sig.pl
-	@sbindir@/@install_name@admin-gpg.pl
         %exclude @sbindir@/@install_name@_setpwd
 %endif
 %attr(644,root,root) @mandir@/man5/@install_name@*
 %attr(644,root,root) @mandir@/man8/@install_name@*
-%attr(644,root,root) /etc/logrotate.d/@install_name@
-%if "%{name}" == "yule"
-%attr(750,root,samhain) @mydataroot@ 
-%attr(750,yule,samhain) @mylogdir@ 
-%endif
 %config(noreplace) @myrpmconffile@
 
 %changelog
-* Tue Jul 28 2020 Rainer Wichmann
-- fix bogus date
-- fix for recent split into samhainadmin-gpg.pl, samhainadmin-sig.pl
-
-* Wed May 01 2019 Rainer Wichmann
-- remove obsolete part fpr sh_lkm
-- add fixes by Franky Van L. (password, directory ownership)
-
-* Mon Dec 18 2017 Rainer Wichmann
-- patch for SLES12 by Pirmin
-- fix missing yuleadmin.pl file
-
-* Tue Oct 23 2012 Rainer Wichmann
-- fixes for yule installation
-
-* Tue May 16 2006 Rainer Wichmann
-- fix manual version, noticed by Imre Gergely
-
 * Tue Apr 05 2005 Rainer Wichmann
 - disable automatic stripping, use sstrip
@@ -268,5 +228,5 @@
 - Compiled on RedHat Enterprise Linux ES 3
 
-* Wed Mar 26 2003 Rainer Wichmann
+* Thu Mar 26 2003 Rainer Wichmann
 - strip REQ_FROM_SERVER in config file path (%config(noreplace) ...)
 
Index: /trunk/samhainrc.freebsd
===================================================================
--- /trunk/samhainrc.freebsd	(revision 584)
+++ /trunk/samhainrc.freebsd	(revision 1)
@@ -61,160 +61,50 @@
 # RedefUser1=(no default)
 
-#
-# --------- / --------------
-#
-
-[ReadOnly]
-dir = 0/
-
 [Attributes]
-file = /
-file = /proc
-file = /entropy
-file = /tmp
-file = /var
-
-#
-# --------- /dev -----------
-#
-
-[Attributes]
-dir = 99/dev
+##
+## for these files, only changes in permissions and ownership are checked
+##
+
+file=/usr/compat/linux/etc
+file=/usr/compat/linux/etc/ld.so.cache
+
+dir=/var/mail
+dir=/var/spool/lp/tmp
+dir=/var/tmp
+# dir=/var/dt/tmp
+dir=/tmp
+
+
+[LogFiles]
+##
+## for these files, changes in signature, timestamps, and size are ignored 
+##
+
+file=/var/run/utmp
+
+
+[GrowingLogFiles]
+##
+## for these files, changes in signature, timestamps, and increase in size
+##                  are ignored 
+##
+
+file=/var/log/wtmp
+file=/var/log/messages
+file=/var/log/maillog
+file=/var/log/lastlog
+file=/var/log/cron
+file=/var/log/auth.log
+
 
 [IgnoreAll]
-file = /dev/ttyp?
-
-[Misc]
-##
-## pseudo terminals are created/removed as needed
-##
-IgnoreAdded = /dev/(p|t)typ.*
-IgnoreMissing = /dev/(p|t)typ.*
-
-
-#
-# --------- /etc -----------
-#
-
-[ReadOnly]
-##
-## for these files, only access time is ignored
-##
-dir = 99/etc
-
-
-#
-# --------- /boot -----------
-#
-
-[ReadOnly]
-dir = 99/boot
-
-#
-# --------- /bin, /sbin -----------
-#
-
-[ReadOnly]
-dir = 99/bin
-dir = 99/sbin
-
-#
-# --------- /lib -----------
-#
-
-[ReadOnly]
-dir = 99/lib
-
-#
-# --------- /libexec -----------
-#
-
-[ReadOnly]
-dir = 99/libexec
-
-#
-# --------- /rescue -----------
-#
-
-[ReadOnly]
-dir = 99/rescue
-
-#
-# --------- /root -----------
-#
-
-[Attributes]
-##
-## for these files, only changes in permissions and ownership are checked
-##
-dir = 99/root
-
-#
-# --------- /stand -----------
-#
-
-[ReadOnly]
-dir = 99/stand
-
-#
-# --------- /usr -----------
-#
-
-[ReadOnly]
-dir = 99/usr
-
-[Attributes]
-dir = /usr/.snap
-dir = /usr/share/man/cat?
-file = /usr/compat/linux/etc
-file = /usr/compat/linux/etc/ld.so.cache
-
-[IgnoreAll]
-dir = -1/usr/home
-
-#
-# --------- /var -----------
-#
-
-[Attributes]
-
-dir = 0/var
-
-[LogFiles]
-##
-## for these files, changes in signature, timestamps, and size are ignored 
-##
-
-file=/var/run/utmp
-
-[GrowingLogFiles]
-##
-## For these files, changes in signature, timestamps, and increase in size
-## are ignored. Logfile rotation will cause a report because of shrinking
-## size and different inode. 
-##
-dir = 99/var/log
-
-[Attributes]
-#
-# rotated logs will change inode
-#
-file = /var/log/*.[0-9].bz2
-file = /var/log/*.[0-9].log
-file = /var/log/*.[0-9]
-file = /var/log/*.[0-9][0-9]
-file = /var/log/*.old
-
-file = /var/log/sendmail.st
-
-
-[Misc]
-#
-# Various naming schemes for rotated logs
-#
-IgnoreAdded = /var/log/.*\.[0-9]+$
-IgnoreAdded = /var/log/.*\.[0-9]+\.gz$
-IgnoreAdded = /var/log/.*\.[0-9]+\.bz2$
-IgnoreAdded = /var/log/.*\.[0-9]+\.log$
+##
+## for these files, no modifications are reported
+##
+
+dir=/usr/share/man
+dir=/usr/share/games
+dir=/usr/share/misc
+dir=/usr/X11R6/man
 
 
@@ -227,4 +117,21 @@
 
 
+[ReadOnly]
+##
+## for these files, only access time is ignored
+##
+
+dir=/bin
+dir=/boot
+dir=3/etc
+dir=/sbin
+dir=1/stand
+dir=/stand/etc
+dir=/stand/modules
+dir=/usr
+dir=2/var/cron
+
+file=/kernel
+dir=/modules
 
 [User0]
@@ -370,4 +277,21 @@
 # SuidCheckQuarantineDelete = yes
 
+# [Kernel]
+##
+## --- Check for loadable kernel module rootkits (Linux/FreeBSD only) 
+##
+
+## Switch on/off
+#
+# KernelCheckActive = True
+
+## Check interval (seconds); btw., the check is VERY fast
+#
+# KernelCheckInterval = 300
+
+## Severity
+#
+# SeverityKernel = crit
+
 
 # [Utmp]
@@ -529,5 +453,5 @@
 # FileCheckScheduleTwo = NULL
 
-## Report only once on modified files 
+## Report only once on modified fles 
 ## Setting this to 'FALSE' will generate a report for any policy 
 ## violation (old and new ones) each time the daemon checks the file system.
@@ -621,5 +545,5 @@
 ## Path to the PID file
 #
-# SetLockfilePath = (default: compiled-in)
+# SetLockPath = (default: compiled-in)
 
 
Index: /trunk/samhainrc.linux
===================================================================
--- /trunk/samhainrc.linux	(revision 584)
+++ /trunk/samhainrc.linux	(revision 1)
@@ -61,197 +61,82 @@
 # RedefIgnoreAll=(no default)
 # RedefIgnoreNone=(no default)
-
 # RedefUser0=(no default)
 # RedefUser1=(no default)
 
-#
-# --------- / --------------
-#
-
-[ReadOnly]
-dir = 0/
-
 [Attributes]
-file = /tmp
-file = /dev
-file = /media
-file = /proc
-file = /sys
-
-#
-# --------- /etc -----------
-#
-
-[ReadOnly]
-##
-## for these files, only access time is ignored
-##
-dir = 99/etc
-
-[Attributes]
-##
-## check permission and ownership
-##
-file = /etc/mtab
-file = /etc/adjtime
-file = /etc/motd
-file = /etc/lvm/.cache
-
-# On Ubuntu, these are in /var/lib rather than /etc
-file = /etc/cups/certs
-file = /etc/cups/certs/0
-
-# managed by fstab-sync on Fedora Core
-file = /etc/fstab
-
-# modified when booting 
-file = /etc/sysconfig/hwconf
-
+##
+## for these files, only changes in permissions and ownership are checked
+##
+file=/etc/mtab
+file=/etc/ssh_random_seed
+file=/etc/asound.conf
+file=/etc/resolv.conf
+file=/etc/localtime
+file=/etc/ioctl.save
+file=/etc/passwd.backup
+file=/etc/shadow.backup
+
+#
 # There are files in /etc that might change, thus changing the directory
 # timestamps. Put it here as 'file', and in the ReadOnly section as 'dir'.
-
-file = /etc
-
-#
-# --------- /boot -----------
-#
-
-[ReadOnly]
-dir = 99/boot
-
-#
-# --------- /bin, /sbin -----------
-#
-
-[ReadOnly]
-dir = 99/bin
-dir = 99/sbin
-
-#
-# --------- /lib -----------
-#
-
-[ReadOnly]
-dir = 99/lib
-
-#
-# --------- /dev -----------
-#
-
-[Attributes]
-dir = 99/dev
+#
+file=/etc
+
+[LogFiles]
+##
+## for these files, changes in signature, timestamps, and size are ignored 
+##
+file=/var/run/utmp
+file=/etc/motd
+
+
+
+#####################################################################
+#
+# This would be the proper syntax for parts that should only be
+#    included for certain hosts.
+# You may enclose anything in a @HOSTNAME/@end bracket, as long as the
+#    result still has the proper syntax for the config file.
+# You may have any number of @HOSTNAME/@end brackets.
+# HOSTNAME should be the fully qualified 'official' name 
+#    (e.g. 'nixon.watergate.com', not 'nixon'), no aliases. 
+#    No IP number - except if samhain cannot determine the 
+#    fully qualified hostname.
+#
+# @HOSTNAME
+# file=/foo/bar
+# @end
+#
+# These are two examples for conditional inclusion/exclusion
+# of a machine based on the output from 'uname -srm'
+#
+# $Linux:2.*.7:i666
+# file=/foo/bar3
+# $end
+#
+# !$Linux:2.*.7:i686
+# file=/foo/bar2
+# $end
+#
+#####################################################################
+
+[GrowingLogFiles]
+##
+## for these files, changes in signature, timestamps, and increase in size
+##                  are ignored 
+##
+file=/var/log/warn
+file=/var/log/messages
+file=/var/log/wtmp
+file=/var/log/faillog
 
 [IgnoreAll]
 ##
-## pseudo terminals are created/removed as needed
-##
-dir = -1/dev/pts
-
-# dir = -1/dev/.udevdb
-
-file = /dev/ppp
-
-#
-# --------- /usr -----------
-#
-
-[ReadOnly]
-dir = 99/usr
-
-#
-# --------- /var -----------
-#
-
-[ReadOnly]
-dir = 99/var
-
-[IgnoreAll]
-dir = -1/var/cache
-dir = -1/var/backups
-dir = -1/var/games
-dir = -1/var/gdm
-dir = -1/var/lock
-dir = -1/var/mail
-dir = -1/var/run
-dir = -1/var/spool
-dir = -1/var/tmp
-dir = -1/var/lib/texmf
-dir = -1/var/lib/scrollkeeper
-
-
-[Attributes]
-
-dir = /var/lib/nfs
-dir = /var/lib/pcmcia
-
-# /var/lib/rpm changes if packets are installed;
-# /var/lib/rpm/__db.00[123] even more frequently
-file = /var/lib/rpm/__db.00?
-
-file = /var/lib/acpi-support/vbestate
-file = /var/lib/alsa/asound.state
-file = /var/lib/apt/lists/lock
-file = /var/lib/apt/lists/partial
-file = /var/lib/cups/certs
-file = /var/lib/cups/certs/0
-file = /var/lib/dpkg/lock
-file = /var/lib/gdm
-file = /var/lib/gdm/.cookie
-file = /var/lib/gdm/.gdmfifo
-file = /var/lib/gdm/:0.Xauth
-file = /var/lib/gdm/:0.Xservers
-file = /var/lib/logrotate/status
-file = /var/lib/mysql
-file = /var/lib/mysql/ib_logfile0
-file = /var/lib/mysql/ibdata1
-file = /var/lib/slocate
-file = /var/lib/slocate/slocate.db
-file = /var/lib/slocate/slocate.db.tmp
-file = /var/lib/urandom
-file = /var/lib/urandom/random-seed
-file = /var/lib/random-seed
-file = /var/lib/xkb
-
-
-[GrowingLogFiles]
-##
-## For these files, changes in signature, timestamps, and increase in size
-## are ignored. Logfile rotation will cause a report because of shrinking
-## size and different inode. 
-##
-dir = 99/var/log
-
-[Attributes]
-#
-# rotated logs will change inode
-#
-file = /var/log/*.[0-9].gz
-file = /var/log/*.[0-9].log
-file = /var/log/*.[0-9]
-file = /var/log/*.old
-file = /var/log/*/*.[0-9].gz
-file = /var/log/*/*.[0-9][0-9].gz
-file = /var/log/*/*.log.[0-9]
-
-[Misc]
-#
-# Various naming schemes for rotated logs
-#
-IgnoreAdded = /var/log/.*\.[0-9]+$
-IgnoreAdded = /var/log/.*\.[0-9]+\.gz$
-IgnoreAdded = /var/log/.*\.[0-9]+\.log$
-#
-# Subdirectories
-#
-IgnoreAdded = /var/log/[[:alnum:]]+/.*\.[0-9]+$
-IgnoreAdded = /var/log/[[:alnum:]]+/.*\.[0-9]+\.gz$
-IgnoreAdded = /var/log/[[:alnum:]]+/.*\.[0-9]+\.log$
-#
-IgnoreAdded = /var/lib/slocate/slocate.db.tmp
-IgnoreMissing = /var/lib/slocate/slocate.db.tmp
-
-#
-# --------- other policies -----------
-#
+## for these files, no modifications are reported
+##
+## This file might be created or removed by the system sometimes.
+##
+file=/etc/resolv.conf.pcmcia.save
+
 
 [IgnoreNone]
@@ -267,4 +152,33 @@
 ##
 
+
+[ReadOnly]
+##
+## for these files, only access time is ignored
+##
+dir=/usr/bin
+dir=/bin
+dir=/boot
+#
+# SuSE (old) has the boot init scripts in /sbin/init.d/*, 
+# so we go 3 levels deep
+#
+dir=3/sbin
+dir=/usr/sbin
+dir=/lib
+#
+# RedHat and Debian have the bootinit scripts in /etc/init.d/* or /etc/rc.d/*, 
+#        so we go 3 levels deep there too
+#
+dir=3/etc
+
+# Various directories / files that may include / be SUID/SGID binaries
+#
+#
+dir=/usr/X11R6/bin
+dir=/usr/X11R6/lib/X11/xmcd/bin
+file=/usr/lib/pt_chown
+dir=/opt/gnome/bin
+dir=/opt/kde/bin
 
 [User0]
@@ -272,5 +186,4 @@
 ## User0 and User1 are sections for files/dirs with user-definable checking
 ## (see the manual) 
-
 
 
@@ -290,6 +203,11 @@
 # SeverityUser0=crit
 # SeverityUser1=crit
+
+##
+## We have a file in IgnoreAll that might or might not be present.
+## Setting the severity to 'info' prevents messages about deleted/new file.
+##
 # SeverityIgnoreAll=crit
-
+SeverityIgnoreAll=info
 
 ## Files : file access problems
@@ -408,4 +326,21 @@
 # SuidCheckQuarantineDelete = yes
 
+#[Kernel]
+##
+## --- Check for loadable kernel module rootkits (Linux/FreeBSD only) 
+##
+
+## Switch on/off
+#
+# KernelCheckActive = True
+
+## Check interval (seconds); btw., the check is VERY fast
+#
+# KernelCheckInterval = 300
+
+## Severity
+#
+# SeverityKernel = crit
+
 
 # [Utmp]
@@ -536,4 +471,9 @@
 ChecksumTest=check
 
+## whether to drop linux capabilities that are not required
+## - will make a root process a 'mere mortal' in many respects
+#
+# UseCaps = yes
+
 ## Set nice level (-19 to 19, see 'man nice'),
 ## and I/O limit (kilobytes per second; 0 == off)
@@ -565,5 +505,5 @@
 # FileCheckScheduleTwo = NULL
 
-## Report only once on modified files 
+## Report only once on modified fles 
 ## Setting this to 'FALSE' will generate a report for any policy 
 ## violation (old and new ones) each time the daemon checks the file system.
@@ -664,5 +604,5 @@
 ## Path to the PID file
 #
-# SetLockfilePath = (default: compiled-in)
+# SetLockPath = (default: compiled-in)
 
 
Index: /trunk/samhainrc.solaris
===================================================================
--- /trunk/samhainrc.solaris	(revision 584)
+++ /trunk/samhainrc.solaris	(revision 1)
@@ -506,5 +506,5 @@
 # FileCheckScheduleTwo = NULL
 
-## Report only once on modified files 
+## Report only once on modified fles 
 ## Setting this to 'FALSE' will generate a report for any policy 
 ## violation (old and new ones) each time the daemon checks the file system.
@@ -597,5 +597,5 @@
 ## Path to the PID file
 #
-# SetLockfilePath = (default: compiled-in)
+# SetLockPath = (default: compiled-in)
 
 
